<template>
  <div :class="['theme',`theme-${theme}`]">
    <div class="layout">
      <header>
        <main-nav>
          <template slot="primary">
            <nuxt-link to="/" :class="{active:$route.name=='index'}">Butter Vue</nuxt-link>
            <nuxt-link to="/transaction-history" :class="{active:$route.name=='transaction-history'}">Hydra</nuxt-link>
            <nuxt-link to="/blockset-clients" :class="{active:$route.name=='blockset-dashboard'}">Blockset</nuxt-link>
          </template>
        </main-nav>
      </header>
      <main>
        <aside class="dashboard">
          <nav>
            <butter-select v-model="style" label="Device Size" :options="[{label:'Wide',value:'wide'},{label:'iPhone X',value:'iphone-x'},{label:'Narrow Phone',value:'narrow-phone'}]">
            </butter-select>
          </nav>
          <nav>
            <butter-select v-model="theme" label="Butter Theme" :options="[{label:'Hydra',value:'hydra'},{label:'Blockset',value:'blockset'},{label:'Coin Flip',value:'coinflip'}]">
            </butter-select>
          </nav>
          <nav>
            <h3>Butter Vue</h3>
            <side-nav name="index" url="/">Content Screen</side-nav>
            <side-nav name="button" url="/button">Button</side-nav>
            <side-nav name="form-field" url="/form-field">Form</side-nav>
            <side-nav name="butter-select" url="/butter-select">Select</side-nav>
            <side-nav name="country-list" url="/country-list">Countries</side-nav>
            <side-nav name="currencies" url="/currencies">Currencies</side-nav>
            <side-nav name="cryptocurrencies" url="/cryptocurrencies">Crypto Currencies</side-nav>
            <side-nav name="payment-method" url="/payment-method">Payment Method</side-nav>
            <side-nav name="partner-quotes" url="/partner-quotes">Partner Quotes</side-nav>
            <side-nav name="butter-currency" url="/butter-currency">Butter Currency</side-nav>
            <side-nav name="partner-iframe" url="/partner-iframe">Partner iFrame</side-nav>
          </nav>
          <nav>
            <h3>Hydra</h3>
            <side-nav name="transaction-history" url="/transaction-history">Transaction History</side-nav>
            <side-nav name="rewards" url="/rewards">Rewards</side-nav>
            <side-nav name="rewards-subpage" url="/rewards-subpage">25% off trading fees</side-nav>
            <side-nav name="rewards-form" url="/rewards-form">Accointing</side-nav>
            <side-nav name="rewards-confirm" url="/rewards-confirm">Form Confirmation</side-nav>
          </nav>
        </aside>
        <section class="container content">
          <div class="frame" :style="styles[style]" >
            <nuxt class="main" />
          </div>
        </section>
      </main>
    </div>
  </div>
</template>
<style lang="scss">
@import "butter-global";

.layout {
  main .frame {
    @include flex($grow:0, $dir: column);
    position: relative;
  }

  aside.dashboard {
    @include dashboard-nav;
  }
}

</style>
<script>

export default {
  data() {
    return {
      styles: {
        'wide': { width: '100%', height: '100%' },
        'narrow-phone': { width: '320px', minHeight: '480px' },
        'iphone-x': { width: '375px', height: '812px' },
      },
      theme: 'hydra',
      style: 'wide'
    };
  }
}


</script>
